unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeOpenGL, TeeSurfa, TeEngine, TeeComma, TeeProcs, Chart,
  StdCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    IsoLinesChart: TChart;
    ScanSurfaceSeries: TSurfaceSeries;
    ScanContourSeries: TContourSeries;
    ScanColorGridSeries: TColorGridSeries;
    TeeCommander: TTeeCommander;
    TeeOpenGL1: TTeeOpenGL;
    Button1: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

Uses TeeStore;

procedure TForm1.Button1Click(Sender: TObject);
begin
  TeeOpenGL1.Active := not TeeOpenGL1.Active;
  if TeeOpenGL1.Active then
    Button1.Caption := 'OpenGL Active = True'
  else
    Button1.Caption := 'OpenGL Active = False';
 IsoLinesChart.Repaint;
end;

procedure TForm1.FormShow(Sender: TObject);
var
  tmpChart:TCustomChart;
begin
  IsoLinesChart.Free;
  tmpChart := TChart.Create(Self);
  try
    LoadChartFromFile(tmpChart, 'C:\ColorGridBugDataTee.tee');
  except
    // remove TeeComander not found exception
  end;
  IsoLinesChart := tmpChart as TChart;
  IsoLinesChart.Parent := self;
  TeeCommander.Panel := IsoLinesChart;
  TeeOpenGL1.TeePanel := IsoLinesChart;
end;

end.
